[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Re: s3ql: uninstallable on kfreebsd-i386 or kfreebsd-amd64

Nikolaus Rath wrote:
> On 09/30/2011 02:43 PM, Robert Millan wrote:
>> 2011/9/28 Nikolaus Rath <Nikolaus@rath.org>:

>>> Does this mean that the package has to become Arch: any now? That seems
>>> wrong to me...
>> Not necessarily, you can instead use:
>> Depends: fuse | fuse4bsd
> S3QL depends on fuse when running on Linux, and on FUSE4BSD when running
> on FreeBSD. It is, however, not able to use fuse when running on
> FreeBSD, or bsdfuse when running on Linux, which the above dependency
> allows as well.
> Now, in this case this probably isn't a problem because (I assume) the
> fuse4bsd package doesn't exist for Linux, and the fuse package doesn't
> exist for kFreeBSD.

I believe that "Depends: fuse | fuse4bsd" is correct here.  If someone
manages to get plain fuse working on kFreeBSD, then it should satisfy the

Hope that helps,

Reply to: